Passa al contenuto principale

BuyServiceCloudVpsRequest

service_idintegerrequired

ID of the Service to buy

Possible values: >= 1

recurrence_idinteger

ID of the billing recurrence of the purchased service: one of the recurrences_available of the chosen service, as listed by GET /api/v3/shop/cloud-vps. If omitted, the default recurrence of the service (recurrence) is used.

account_idinteger

ID of the account of the user that will be the owner of the purchase (available to Resellers only)

data objectrequired

Cloud VPS configuration details

SERVER_CONFIGURATION_CODEstringrequired

One of the server Templates compatible with the "Cloud VPS Server" service to buy

SERVER_TEMPLATE_CODEstringrequired

One of the server Operative Systems (OS) compatible with the "Cloud VPS Server" service to buy and with the chosen server Template

RAM_QUANTITYintegerrequired

RAM in GB. Min value may change depending on chosen server configuration or template.

Possible values: >= 1 and <= 12

DISK_QUANTITYintegerrequired

Disk size in GB. Min value may change depending on chosen server configuration or template.

Possible values: [20, 25, 30, 35, 40, 45, 50, 55, 60, 65, 70, 75, 80, 85, 90, 95, 100]

VCPU_QUANTITYintegerrequired

Number of vCPU. Min value may change depending on chosen server configuration or template.

Possible values: >= 1 and <= 8

BuyServiceCloudVpsRequest
{
"service_id": 0,
"recurrence_id": 0,
"account_id": 0,
"data": {
"SERVER_CONFIGURATION_CODE": "string",
"SERVER_TEMPLATE_CODE": "string",
"RAM_QUANTITY": 0,
"DISK_QUANTITY": 20,
"VCPU_QUANTITY": 0
}
}